Issue 82978 - [MWEx] MediaWiki export filter fails to export fields
Summary: [MWEx] MediaWiki export filter fails to export fields
Status: CLOSED FIXED
Alias: None
Product: Writer
Classification: Application
Component: code (show other issues)
Version: OOo 2.3
Hardware: All All
: P3 Trivial (vote)
Target Milestone: ---
Assignee: mikhail.voytenko
QA Contact: issues@sw
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-10-25 18:24 UTC by norbert2
Modified: 2013-08-07 14:42 UTC (History)
2 users (show)

See Also:
Issue Type: PATCH
Latest Confirmation in: ---
Developer Difficulty: ---


Attachments
issue_82978.odt (6.53 KB, application/vnd.oasis.opendocument.text)
2007-10-25 18:27 UTC, norbert2
no flags Details
Patched transformation (revision 2730) (43.42 KB, text/xml)
2007-10-25 23:41 UTC, haui
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description norbert2 2007-10-25 18:24:58 UTC
Hi,

- please open the attached odt

- export it as MediaWiki

- evaluate the output file:

The content of the fields is not there in the output file.
Comment 1 norbert2 2007-10-25 18:27:36 UTC
Created attachment 49159 [details]
issue_82978.odt
Comment 2 haui 2007-10-25 23:41:41 UTC
Created attachment 49165 [details]
Patched transformation (revision 2730)
Comment 3 haui 2007-10-25 23:42:07 UTC
Uuuups, there are a lot of fields. Transformation added for:

text:date/text() | text:time/text() | text:page-number/text() |
text:sender-firstname/text() | text:sender-lastname/text() |
text:sender-initials/text() | text:sender-title/text() |
text:sender-position/text() | text:sender-email/text() |
text:sender-phone-private/text() | text:sender-fax/text() |
text:sender-company/text() | text:sender-phone-work/text() |
text:sender-street/text() | text:sender-city/text() |
text:sender-postal-code/text() | text:sender-country/text() |
text:sender-state-or-province/text() | text:author-name/text() |
text:author-initials/text() | text:chapter/text() | text:file-name/text() |
text:template-name/text() | text:sheet-name/text() | text:variable-get/text() |
text:variable-input/text() | text:user-field-get/text() |
text:user-field-input/text() | text:expression/text() | text:text-input/text() |
text:initial-creator/text() | text:creation-date/text() |
text:creation-time/text() | text:description/text() | text:user-defined/text() |
text:print-date/text() | text:printed-by/text() | text:title/text() |
text:subject/text() | text:keywords/text() | text:editing-cycles/text() |
text:editing-duration/text() | text:modification-date/text() |
text:creator/text() | text:modification-time/text() | text:page-count/text() |
text:paragraph-count/text() | text:word-count/text() |
text:character-count/text() | text:table-count/text() | text:image-count/text()
| text:object-count/text() | text:database-display/text() |
text:database-row-number/text() | text:database-name/text() |
text:page-variable-get/text() | text:placeholder/text() |
text:conditional-text/text() | text:hidden-text/text() |
text:execute-macro/text() | text:dde-connection/text() | text:measure/text() |
text:table-formula/text()

Regards
Bernhard
Comment 4 haui 2007-10-25 23:46:37 UTC
If a patch file is prefered, here it is:

> svn diff -r2730:2723 src/main/java/haui/office/wiki/transform/odt2wiki.xslt
Index: src/main/java/haui/office/wiki/transform/odt2wiki.xslt
===================================================================
--- src/main/java/haui/office/wiki/transform/odt2wiki.xslt      (Revision 2730)
+++ src/main/java/haui/office/wiki/transform/odt2wiki.xslt      (Revision 2723)
@@ -172,13 +172,13 @@
        <template match="text:list">
                <!--
                        Check, whether this list is used to implement the
outline numbering
-                       for headings. Such list must not be exported, because
within the wiki,
-                       automatic outline numbering is performed. An outline
list has a single
+                       for headings. Such list must not be exported since
within the wiki,
+                       autimatic outline numbering is performed. An outline
list has a single
                        text:h element as its single leaf grandchild.

                        This method of section numbering seems not to be used
when creating new
                        documents with OpenOffice.org 2.2, but the document
containing the
-                       OpenDocument specification version 1.1 uses such
numbering through nested
+                       OpenDocument specification version 1.1 uses such
numbering by nested
                        lists.
                        -->
                <choose>
@@ -765,7 +765,7 @@
                == Plain text ==
        -->

-       <template match="text:p/text() | text:h/text() | text:span/text() |
text:sequence/text() | text:sequence-ref/text() | text:a/text() |
text:bookmark-ref/text() | text:reference-mark/text() | text:date/text() |
text:time/text() | text:page-number/text() | text:sender-firstname/text() |
text:sender-lastname/text() | text:sender-initials/text() |
text:sender-title/text() | text:sender-position/text() |
text:sender-email/text() | text:sender-phone-private/text() |
text:sender-fax/text() | text:sender-company/text() |
text:sender-phone-work/text() | text:sender-street/text() |
text:sender-city/text() | text:sender-postal-code/text() |
text:sender-country/text() | text:sender-state-or-province/text() |
text:author-name/text() | text:author-initials/text() | text:chapter/text() |
text:file-name/text() | text:template-name/text() | text:sheet-name/text() |
text:variable-get/text() | text:variable-input/text() |
text:user-field-get/text() | text:user-field-input/text() |
text:expression/text() | text:text-input/text() | text:initial-creator/text() |
text:creation-date/text() | text:creation-time/text() | text:description/text()
| text:user-defined/text() | text:print-date/text() | text:printed-by/text() |
text:title/text() | text:subject/text() | text:keywords/text() |
text:editing-cycles/text() | text:editing-duration/text() |
text:modification-date/text() | text:creator/text() |
text:modification-time/text() | text:page-count/text() |
text:paragraph-count/text() | text:word-count/text() |
text:character-count/text() | text:table-count/text() | text:image-count/text()
| text:object-count/text() | text:database-display/text() |
text:database-row-number/text() | text:database-name/text() |
text:page-variable-get/text() | text:placeholder/text() |
text:conditional-text/text() | text:hidden-text/text() |
text:execute-macro/text() | text:dde-connection/text() | text:measure/text() |
text:table-formula/text()">
+       <template match="text:p/text() | text:h/text() | text:span/text() |
text:sequence/text() | text:sequence-ref/text() | text:a/text() |
text:bookmark-ref/text() | text:reference-mark/text()">
                <choose>
                        <when test="boolean(./ancestor::table:table-header-rows
| ./ancestor::text:h)">
                                <!--
Comment 5 haui 2007-10-25 23:47:31 UTC
Sorry, patch must be inverted...
Comment 6 michael.ruess 2007-10-26 07:44:12 UTC
Reassigned to ES.
Comment 7 eric.savary 2007-10-26 08:25:20 UTC
@MAV: please have a look.
Comment 8 mikhail.voytenko 2007-11-30 11:54:26 UTC
Setting the issue as patch.
Comment 9 mikhail.voytenko 2007-12-07 10:51:57 UTC
The changes part related to the issue has been integrated into cws fwk80.

mav->haui: Thanks a lot for the patch. By the way since not all of the changes
from your versions hierarchy are accepted, could you please in future provide an
attached diff file with the changes. This is actually the normal way to submit a
patch. It will not take much time, but will simplify the integration.
Comment 10 carsten.driesner 2008-01-15 15:45:16 UTC
cd: Successfully verified on CWS fwk80.
Comment 11 carsten.driesner 2008-01-16 08:24:23 UTC
cd: Verified.
Comment 12 mikhail.voytenko 2008-02-28 09:30:27 UTC
Closing.